// ANNEXE a la structure du systeme Verdi

// *****************************************************************
// stratgie virtuelle (pour test)
// *****************************************************************

//---------------------
// activits primitives vigne
//---------------------

//-------------------
// activits agrges vigne
//-------------------

+ I chemicalPestPluriAnnualControlPlan seriePlanPhytos,
	operatedObjectAttribute = <I><, soilSurfaceCR1>;	
;

//---------------------
// activits primitives IR en herbe
//---------------------

//-------------------
// activits agrges IR en herbe
//-------------------
//
// before(L, S, iterate1(                       // inter-annuel
//                       iterate2(mowing)))     // intra-annuel
//

+ I permanentGrassPluriAnnualManagement entretienHerbePermanente,
	operatedObjectAttribute = <I><, soilSurfaceSownIR>;
;

//---------------------
// activits primitives IR jamais sem
//---------------------

//-------------------
// activits agrges IR jamais sem
//-------------------

// variante "mcanique"
//--------------------
+ I bareSoilMechanicalPluriAnnualManagement entretienSolNuPermanent,
	operatedObjectAttribute = <I><, soilSurfaceBareIR>;
;

// variante "chimique"
//--------------------
/*
+ I bareSoilChemicalPluriAnnualManagement entretienSolNuPermanent,
	operatedObjectAttribute = <I><, soilSurfaceBareIR>;
;
*/

//---------------------
// On remplit le plan
//---------------------
<I> <,planForARB1>
	<- E <I><, seriePlanPhytos>;
	<- E <I><, entretienHerbePermanente>;
	<- E <I><, entretienSolNuPermanent>;

      	readyToRun = 1; 
;


END INCLUDE;

