// ANNEXE a la structure du systeme Verdi

// *****************************************************************
// stratgie virtuelle (pour test)
// *****************************************************************

//---------------------
// activits primitives vigne
//---------------------

//-------------------
// activits agrges vigne
//-------------------

+ I chemicalPestPluriAnnualControlPlan seriePlanPhytos,
	operatedObjectAttribute = <I><, soilSurfaceCR1>;

	
;
//---------------------
// activits primitives IR en herbe
//---------------------


//-------------------
// activits agrges IR en herbe
//-------------------
//
// iterate1(                            // inter-annuel
//          before(L,
//                 or(
//                    //
//                    // itinraire nominal de conduite herbe temporaire
//                    //
//                    before(S,
//                           and(iterate21(optional(destruction1)), // intra-annuel tous les 15j 
//                                                                  //   ferm si h. dtruite 
//                                         // openingPredicate : true ds que BBK
//                               iterate22(tonte)),                 // intra-annuel tonte ouverte en f du LAI  
//                                                                  //   ferm si h. dtruite  
//                                         // openingPredicate : fvrier
//                           // and : ferm si 15/07
//                           optional(destruction2),                //  partir du 15/07 si pas de destruction1
//                           optional(iterate3(desherbageEntretien))) // si destruction avant 15/07
//                    //
//                    // entretien sol nu
//                    //
//                    before(firstSpringTillage,                   // avant BBK
//                           iterate4(desherbageEntretien),
//                           optional(springTillage))              // si pas de desherbageEntretien
//                 )
//           )
//      )
//

// variante "mcanique"
//--------------------
+ I temporaryGrassMechanicalPluriAnnualManagement entretienHerbeTemporaire,
	operatedObjectAttribute = <I><, soilSurfaceSownIR>;
;
// variante "chimique"
//--------------------
//+ I temporaryChemicalGrassPluriAnnualManagement entretienHerbeTemporaire,
//	operatedObjectAttribute = <I><, soilSurfaceSownIR>;
//;

//---------------------
// activits primitives IR jamais sem
//---------------------

//-------------------
// activits agrges IR jamais sem
//-------------------

// variante "mcanique"
//--------------------
+ I bareSoilMechanicalPluriAnnualManagement entretienSolNuPermanent,
	operatedObjectAttribute = <I><, soilSurfaceBareIR>;
;
// variante "chimique"
//--------------------
/*
+ I bareSoilChemicalPluriAnnualManagement entretienSolNuPermanent,
	operatedObjectAttribute = <I><, soilSurfaceBareIR>;
;
*/

//---------------------
// On remplit le plan
//---------------------
<I> <,planForARB1>
	<- E <I><, seriePlanPhytos>;
	<- E <I><, entretienHerbeTemporaire>;
    SI (<pr><"tauxOccupation" "q"> < 1.)
	<- E <I><, entretienSolNuPermanent>;
    FIN SI

      	readyToRun = 1; 
;


END INCLUDE;
